Bug 73090 - InspectorServer: Generic Server Socket to be used for a WebSocket Server
Summary: InspectorServer: Generic Server Socket to be used for a WebSocket Server
Status: RESOLVED INVALID
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Enhancement
Assignee: Jocelyn Turcotte
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-24 12:08 PST by Jocelyn Turcotte
Modified: 2011-12-05 12:52 PST (History)
1 user (show)

See Also:


Attachments
Original patch (32.96 KB, patch)
2011-11-24 12:08 PST, Jocelyn Turcotte
no flags Details | Formatted Diff | Diff
Patch (29.68 KB, patch)
2011-11-24 13:09 PST, Jocelyn Turcotte
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jocelyn Turcotte 2011-11-24 12:08:56 PST
Created attachment 116528 [details]
Original patch

Tracks the "New Part 1" patch of bug #51364.
Comment 1 Jocelyn Turcotte 2011-11-24 13:09:55 PST
Created attachment 116534 [details]
Patch
Comment 2 Pavel Feldman 2011-11-25 00:21:15 PST
Comment on attachment 116534 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=116534&action=review

> Source/WebCore/ChangeLog:8
> +        Add a generic Server Socket interface and an implementation for platform/qt.

It is not clear to me why we need a generic interface in the WebCore given that all the implementations are platform-specific and the only usage is from outside WebCore.
Comment 3 Jocelyn Turcotte 2011-11-25 04:22:24 PST
(In reply to comment #2)
> It is not clear to me why we need a generic interface in the WebCore given that all the implementations are platform-specific and the only usage is from outside WebCore.

There isn't much gain from the abstraction today I agree, ServerSocketHandleBase could be merged into WebSocketServer (bug #73093) along with it's platform specific parts. We can extract the server socket logic out of it in the future if something else needs it.
Comment 4 Jocelyn Turcotte 2011-12-05 12:52:01 PST
This bug is obsolete and has been merged in WebSocketServer in bug #73093 as per comments.